Really frustrated. Power PC not supported by traktor pro?
Results 1 to 9 of 9
  1. #1
    Tech Mentor Waterjunkie's Avatar
    Join Date
    Mar 2010
    Location
    Atlantic Beach, Florida
    Posts
    120

    Default Really frustrated. Power PC not supported by traktor pro?

    I have an older Imac. Bought a used VCI 100SE and Traktor Pro of another forum member and trying to install traktor pro. It's saying that Traktor Pro is not supported by the processor of your computer (Power PC)

    Is there anything I can do short of buying a new mac? Are there any ways around this?

    I feel like a kid at Christmas that just got the bike he always wanted, only there are no wheels on it....!

  2. #2
    Tech Guru charo's Avatar
    Join Date
    Sep 2008
    Location
    i AM the cookie
    Posts
    947

    Default

    don't think so, u may want to double check the N.I. forums but u might have to get traktor 3.

    good luck
    We don't believe in the star system. We want the focus to be on the music. If we have to create an image, it must be an artificial image. That combination hides our physicality and also shows our view of the star system. It is not a compromise-daftpunk

  3. #3
    Tech Guru
    Join Date
    Nov 2009
    Posts
    924

    Default

    I'm pretty sure the newer versions of Traktor are supported only by Leopard and Snow Leopard, both of them removed Power PC architecture from their kernel.

    This basically means that anything running a Power PC which needs a program which only runs on 10.5 and 10.6 is out of luck, as the platform is no longer supported. Fairly certain of this at least.

  4. #4
    DJTT Moderator bloke Karlos Santos's Avatar
    Join Date
    Oct 2008
    Location
    Next to a canal in England.
    Posts
    9,028

    Default

    I can verify that Traktor Pro is NOT PPC compatible.
    It is Intel only.

    It has never been PPC compatible and never will im afraid.
    There are no intentions to make it Universal Binary.


    Even when Tiger was supported Traktor Pro was still only Intel compatible.
    Now Tiger is no longer supported (its considered a legacy OS by Apple).

    The only solutions are :
    Buy a new Mac
    Buy Traktor 3

    Dont shoot the messenger
    Last edited by Karlos Santos; 03-21-2010 at 10:11 PM.

  5. #5
    Tech Mentor Waterjunkie's Avatar
    Join Date
    Mar 2010
    Location
    Atlantic Beach, Florida
    Posts
    120

    Default

    I'm not going to kill the messenger. I have an older Macbook as well that I'm currently installing it on. It seems to be working so I might just have to use that. It may be a blessing in disguise, as I don't have any music on that computer. Maybe this will force me to organize before I import my tracks to the laptop.

    Thanks for understanding. Last time I mixed all I had to do was slap a 12" on the slipmat and play. I guess my age is showing......:eek:

  6. #6
    DJTT Moderator bloke Karlos Santos's Avatar
    Join Date
    Oct 2008
    Location
    Next to a canal in England.
    Posts
    9,028

    Default

    Yeah i do understand. I have a perfectly good iBook that i cant put Traktor Pro on.
    Thems the breaks eh mate.

    I also came from a purely vinyl background so i understand your frustration.
    Doesnt take long for technology to become outmoded yet my 1210s just keep on powering on like beauties !!!

  7. #7
    Tech Wizard coolout's Avatar
    Join Date
    Oct 2009
    Location
    Philadelphia
    Posts
    66

    Default

    Without starting a huge flame war let me say this is one more reason I'm glad to be (mostly) Windows based.

    Apple seems to have good, but sometimes unnecessary hardware upgrades built into it's business model.

    I still keep a mac around but I'm glad I jumped off the crazy train.

    Although it's not my main DAW or DJ laptop, I have an older Eeepc netbook (9" screen, 900mhz celeron, 1 gig ram, XP) that runs Traktor Pro wonderfully...including 4 decks with looping, hotcues, and effects.

    Not bad for $180 at Best Buy.

  8. #8
    Tech Guru LanceBlaise's Avatar
    Join Date
    Jun 2009
    Location
    USA, Where Techno Is Scarce
    Posts
    1,460

    Default

    Quote Originally Posted by Waterjunkie View Post
    I have an older Imac. Bought a used VCI 100SE and Traktor Pro of another forum member and trying to install traktor pro. It's saying that Traktor Pro is not supported by the processor of your computer (Power PC)

    Is there anything I can do short of buying a new mac? Are there any ways around this?

    I feel like a kid at Christmas that just got the bike he always wanted, only there are no wheels on it....!

    Upgrade that iMac.. new ones are pretty cheap!
    [B]lanceblaise.com | podcasts

    for booking requests :: please go to: projecttechno.com

  9. #9
    Tech Guru djproben's Avatar
    Join Date
    Aug 2009
    Location
    Hollywood, CA
    Posts
    2,705

    Default

    Quote Originally Posted by coolout View Post
    Apple seems to have good, but sometimes unnecessary hardware upgrades built into it's business model.
    I'm not sure how this is an example of that. Apple moved to Intel hardware back in 2005. Few have suggested the move was unnecessary or unhelpful -- we would probably never have seen a G5 laptop had they stuck to PPC. And the move to Intel has opened up a world of possibilities. The PPCs are still great machines, but you can't expect a company to continue developing for them 5 years after Apple has moved away from that chip. Either way, it would be Native Instruments' decision, not Apple's: if there really is a strong demand for Traktor Pro on PPC, the people who need to be informed of that demand are in Berlin, not Cupertino.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •